Update store
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
externalId: '<string>',
location: {
phoneNumber: '<string>',
address: {
country: '<string>',
city: '<string>',
street: '<string>',
postalCode: '<string>',
state: '<string>'
},
name: '<string>',
description: '<string>'
}
})
};
fetch('https://api.platform.getstell.com/v1/stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.platform.getstell.com/v1/stores/{storeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"name": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.platform.getstell.com/v1/stores/{storeId}"
payload = {
"name": "<string>",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"name": "<string>",
"description": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"merchantId": "<string>",
"name": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"coordinate": {
"altitude": 123,
"latitude": 123,
"longitude": 123
},
"name": "<string>",
"description": "<string>"
}
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Stores
Update store
Update store information. Supports partial updates.
PATCH
https://api.platform.getstell.com
/
v1
/
stores
/
{storeId}
Update store
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
externalId: '<string>',
location: {
phoneNumber: '<string>',
address: {
country: '<string>',
city: '<string>',
street: '<string>',
postalCode: '<string>',
state: '<string>'
},
name: '<string>',
description: '<string>'
}
})
};
fetch('https://api.platform.getstell.com/v1/stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.platform.getstell.com/v1/stores/{storeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"name": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.platform.getstell.com/v1/stores/{storeId}"
payload = {
"name": "<string>",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"name": "<string>",
"description": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"merchantId": "<string>",
"name": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"location": {
"phoneNumber": "<string>",
"address": {
"country": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"coordinate": {
"altitude": 123,
"latitude": 123,
"longitude": 123
},
"name": "<string>",
"description": "<string>"
}
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
Body
application/json
⌘I